<?php
/**
 * @package WPNotifier
 * @version  v1.0
 *
 * 
 */

class Last_Order{


	/**
	 *
	 * Get woocommerce last order name, time, link
	 * 
	 * @return array
	 * 
	 */

	public function getLastOrder() {

		return $this->LastOrderQuery();

	}

	/**
	 *
	 * order query
	 * 
	 * @return array
	 * 
	 */
	public function LastOrderQuery() {


		// Get completed orders.
		$args = array(
		    'limit' => 3,
		    'return' => 'ids',
		);

		$orders = wc_get_orders( $args );

		if( empty( $orders ) ) {
			return;
		}


		$order = wc_get_order( $orders[0] );


		$order_dateTimestamp = $order->get_date_created()->getOffsetTimestamp();

		//$order->get_date_completed();


		$order_date = get_time_ago( strtotime( date('m/d/Y H:i:s', $order_dateTimestamp ) ) );
		
			

		$items = $order->get_items();


		$orderItemsInfo = [];

		foreach( $items as $item ) {

			$itemInfo = wc_get_product( $item['product_id'] );


			$orderItemsInfo[] = [

				'name' => esc_html( $itemInfo->get_name() ),
				'image' => esc_url( wp_get_attachment_url( $itemInfo->image_id ) ),
				'url'  => esc_url( get_permalink( $itemInfo->get_id() ) ),

			];
			
		}

		
		$lastOrder = $orderItemsInfo[0];


		$lastOrder['order_date'] = $order_date;

		return $lastOrder;

	}




}
