<?php
/**
 * @package WPNotifier
 * @version  v1.0
 *
 * 
 */

class Notifier{


	public $id = "";

	public function getNotifier( $id ) {

		$this->id = $id;

		return $this->getMetaData();

	}

	public function getMetaData() {

		$meta_key = [
			'notifiertype',
			'theme',
			'position',
			'thumbnail'
		];

		$data = [];

		foreach( $meta_key as $key ) {

			$data[$key] = get_post_meta( $this->id, 'wpnotifier_'.$key, true );

		}

		return $data;

	}


	/**
	 *
	 * Enabled notification ids
	 * 
	 * @return array
	 * 
	 */

	public function getNotifierIds() {
		return $this->notifier_query();
	}


	//
	public function notifier_query() {

		$args = array(

			'post_type' => 'wpnotifier',
			'posts_per_page' => '-1',
			'meta_key'         => 'wpnotifier_switch',
        	'meta_value'       => 'on',

		);

		$n = get_posts( $args );


		$ids = [];

		foreach( $n as $i ) {

			$ids[] = $i->ID;

		}

		return $ids;

	}
	
}