<?php
/**
 * @package WPNotifier
 * @version  v1.0
 *
 * 
 */

class Last_Woo_Review{


	/**
	 *
	 * Get woocommerce last order name, time, link
	 * 
	 * @return array
	 * 
	 */

	public function getLastWooReview() {

		return $this->reviewQuery();

	}

	/**
	 *
	 * review query
	 * 
	 * @return array
	 * 
	 */
	public function reviewQuery() {


		$number_of_reviews = 1; //How many reviews you want to retrieve
		$reviews = get_comments( array( 'number' => $number_of_reviews, 'status' => 'approve', 'post_status' => 'publish', 'post_type' => 'product' ) );

		$rating = get_comment_meta( $reviews[0]->comment_ID, 'rating', true );

		$_product = WC_get_product( $reviews[0]->comment_post_ID );


		$imgId  = $_product->get_image_id();
		$imgUrl = wp_get_attachment_image_url( $imgId );
		$time = get_time_ago( strtotime( $reviews[0]->comment_date ) );

		return [ 'rating' => esc_html( $rating ), 'comment_author' => $reviews[0]->comment_author, 'title' => $_product->get_title(), 'img' => $imgUrl, 'url' => get_permalink( $_product->get_id() ) , 'time' => $time ];


	}




}
