<?php
//
function wpnotifier_post_type()
{

    //  wpnotifier register post type
    register_post_type('wpnotifier',
  		array(
  		   'labels'      => array(
  		       'name'          => esc_html__('Notification', 'wpnotifier' ),
  		       'singular_name' => esc_html__('Notification', 'wpnotifier' ),
             'add_new'       => esc_html__( 'Add New Notification', 'wpnotifier' ),
             'add_new_item'  => esc_html__( 'Add New Notification', 'wpnotifier' ),
             'edit_item'     => esc_html__( 'Edit Notification', 'wpnotifier' )
  		   ),
  	    'public'      => true,
        'show_in_menu' => false,
  	    'has_archive' => true,
        'supports' => array( 'title' )
  		)
    );

    // Initial google api
    $obj = new WPNotifier_Google_API();

}
add_action('init', 'wpnotifier_post_type');

//
add_action( 'wp_ajax_wpnotifier_action', 'wpnotifier_ajax' );
add_action( 'wp_ajax_nopriv_wpnotifier_action', 'wpnotifier_ajax' );
function wpnotifier_ajax() {

    if( !empty( $_POST['id'] ) ) {

        $n = new Notifier();

        $data = $n->getNotifier( esc_html( $_POST['id'] ) );

        $t = new Template();

        $t->get_notifier_template( $data );

    }

	exit;

}

function get_time_ago( $time )
{
    $time_difference = time() - $time;

    if( $time_difference < 1 ) { return 'less than 1 second ago'; }
    $condition = array( 12 * 30 * 24 * 60 * 60 =>  'year',
                30 * 24 * 60 * 60       =>  'month',
                24 * 60 * 60            =>  'day',
                60 * 60                 =>  'hour',
                60                      =>  'minute',
                1                       =>  'second'
    );

    foreach( $condition as $secs => $str )
    {
        $d = $time_difference / $secs;

        if( $d >= 1 )
        {
            $t = round( $d );
            return 'about ' . $t . ' ' . $str . ( $t > 1 ? 's' : '' ) . ' ago';
        }
    }
}

function wpnotifier_star_review( $rating ) {

    $j = 0;
    for( $i = 0; $i <= 4; $i++ ) {
      $j++;

      if( $rating  >= $j   || $rating  == '5'   ) {
         echo '<i class="fas fa-star"></i>';
      }elseif( $rating < $j && $rating  > $i )
      {
         echo '<i class="fas fa-star-half-alt"></i>';                     

      } else {
         echo '<i class="far fa-star"></i>';
      }
    }

}

/**
 * Check if WooCommerce is activated
 */
if ( ! function_exists( 'wpnotifier_is_woocommerce_activated' ) ) {
  function wpnotifier_is_woocommerce_activated() {
    if ( class_exists( 'woocommerce' ) ) { return 'active'; } else { return 'notactive'; }
  }
}