<?php
/**
 * Plugin Name:       WPNotifier
 * Plugin URI:        http://wpbucket.net/plugins/wpnotifier/
 * Description:       WPNotifier, WordPress plugin helps you to show quick notification on your website. It engages your visitors and helps to increase the conversion rates. Also, this plugin impact to build your social proof. You will able to show WooCommerce last sale, cart items, last review product, on sale products, google reviews rating, etc using this plugin.
 * Version:           1.1.0
 * Requires PHP:      5.6
 * Author:            WPBucket
 * Author URI:        http://wpbucket.net/
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       wpnotifier
 * Domain Path:       /languages
 */


// Block Direct access
if( !defined( 'ABSPATH' ) ){ die( 'You should not access this file directly!.' ); }

// Define Constants for direct access alert message.


if( !defined( 'WPNOTIFIER_ALERT_MSG' ) )
	define( 'WPNOTIFIER_ALERT_MSG', esc_html__( 'You should not access this file directly.!', 'wpnotifier' ) );


// Define constants for plugin directory path.
if( !defined( 'WPNOTIFIER_DIR_PATH' ) )
	define( 'WPNOTIFIER_DIR_PATH', plugin_dir_path( __FILE__ ) );

// Define constants for inc directory path.
if( !defined( 'WPNOTIFIER_INC_DIR_PATH' ) )
	define( 'WPNOTIFIER_INC_DIR_PATH', WPNOTIFIER_DIR_PATH . 'inc/' );

// Define constants for plugin dirname.
if( !defined( 'WPNOTIFIER_DIR_NAME' ) )
	define( 'WPNOTIFIER_DIR_NAME', dirname( __FILE__ ) );

// Define constants for plugin directory path.
if( !defined( 'WPNOTIFIER_DIR_URL' ) )
	define( 'WPNOTIFIER_DIR_URL', plugin_dir_url( __FILE__ ) );

// Define constants for plugin basenam.
if( !defined( 'WPNOTIFIER_BASENAME' ) )
	define( 'WPNOTIFIER_BASENAME', plugin_basename( __FILE__ ) );


final class Wpnotifier {

	private static $instance = null;

	function __construct() {
		
		$this->include_file();

		// Enqueue Scripts
		add_action( 'wp_enqueue_scripts', [$this, 'enqueue_scripts'] );
		add_action( 'admin_enqueue_scripts', [$this, 'admin_enqueue_scripts'] );
		
	}

	public static function getInstance() {

		if( self::$instance == null ) {

			self::$instance = new self();

		}

		return self::$instance;

	}

	private function include_file() {

		require_once WPNOTIFIER_DIR_PATH .'admin/admin.php';
		require_once WPNOTIFIER_INC_DIR_PATH .'functions.php';
		require_once WPNOTIFIER_INC_DIR_PATH .'meta.php';
		require_once WPNOTIFIER_INC_DIR_PATH .'class-last-order.php';
		require_once WPNOTIFIER_INC_DIR_PATH .'class-cart-items.php';
		require_once WPNOTIFIER_INC_DIR_PATH .'class-google-review.php';
		require_once WPNOTIFIER_INC_DIR_PATH .'class-woo-last-review.php';
		require_once WPNOTIFIER_INC_DIR_PATH .'class-notifier.php';
		require_once WPNOTIFIER_DIR_PATH .'view/class-template.php';

	}

	public function enqueue_scripts() {

		$n = new Notifier();

		$opt = get_option('wpnotifier_options');

		$delaytime = !empty( $opt['delaytime'] ) ? $opt['delaytime'] : '5000';
		$hidedelaytime = !empty( $opt['hidedelaytime'] ) ? $opt['hidedelaytime'] : '3000';

		wp_enqueue_style( 'fontawsome', WPNOTIFIER_DIR_URL . 'assets/css/all.min.css', array(), '1.0.0', 'all' );
		wp_enqueue_style( 'wpnotifier', WPNOTIFIER_DIR_URL . 'assets/css/wpnotifier-style.css', array(), '1.0.0', 'all' );
		wp_enqueue_script( 'wpnotifier', WPNOTIFIER_DIR_URL . 'assets/js/main.js', array('jquery'), '1.0.0', true );

		
		wp_localize_script( 'wpnotifier', 'wpnotifierobj', array(
			'admin_url' => admin_url('admin-ajax.php') , 
			'ids' => $n->getNotifierIds(),
			'showdelay' => esc_html( $delaytime ), 
			'hidedelay' => esc_html( $hidedelaytime )

		) 
		);

	}
	public function admin_enqueue_scripts() {

		wp_enqueue_media();

		wp_enqueue_style( 'wpnotifier-admin', WPNOTIFIER_DIR_URL . 'admin/assets/css/admin.css', array(), '1.0.0', 'all' );
		wp_enqueue_script( 'wpnotifier-admin', WPNOTIFIER_DIR_URL . 'admin/assets/js/admin.js', array('jquery'), '1.0.0', true );

		wp_localize_script( 'wpnotifier-admin', 'wpnotifieradmin', array( 'admin_url' => admin_url('admin-ajax.php'), 'is_woo' => wpnotifier_is_woocommerce_activated() )  );


	}


}

Wpnotifier::getInstance();